#include <stdio.h>
#include <stdlib.h>

#include "../config.h"
#include "../types.h"

#include "../timing.h"

#include "../mem.h"
#include "../core.h"

#include "z80.h"
#include "flags.h"

#define INTERNAL static inline

int core_unassemble(core_o core, unsigned int where, FILE *out)
{
	_core_o *_core = (_core_o *)core;
	uint16 loc = where;

	fprintf(out, "$04X\t%02X %02X %02X %02X\n",
		loc,
		mem_read(_core, loc),
		mem_read(_core, loc+1),
		mem_read(_core, loc+2),
		mem_read(_core, loc+3),
	}

	return 4;
}

